package kr.co.hanwha.hifive.adapter.contract;

import android.support.annotation.NonNull;

import java.util.ArrayList;
import java.util.HashMap;

import kr.co.hanwha.hifive.data.model.MemberInfoData;

/**
 * Add TASK : 선택된 멤버페이지뷰 어댑터
 *
 * @see kr.co.hanwha.hifive.screen.task.AddTaskSelectMemberActivity
 * Created by sanghoonkwon on 2018. 1. 18..
 */

public interface AddTaskSelectMemberListContract {
    interface OnSelectMemberListListener {
        void onItemClicked(@NonNull MemberInfoData data, int index, boolean isSelect);
    }

    interface View {
        void notifyDataAll();

        void notifyDataRangeChanged(int positionStart, int itemCount);
    }

    interface Model {
        void clearItems();

        void addItem(MemberInfoData memberInfoData, int index);

        void addItems(ArrayList<MemberInfoData> list);

        void setSelectedData(HashMap<String, MemberInfoData> selectedData);
    }
}
